#include <iostream>
#include <math.h>
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
using namespace std;
int main(int argc, char** argv) {
	long int x1,x2,y1,y2;
	cin>>x1>>y1>>x2>>y2;
	if(x1==x2){
		cout<<2;
	}else if (y1==y2){
		cout<<2;
	}else{
		if(abs(x1-x2)==abs(y1-y2)){
			cout<<1;
		}else{
			cout<<0;
		}
	}
	
	return 0;
}